package com.rehome.bhdxj.DBModel;

import android.os.Parcel;
import android.os.Parcelable;

import org.litepal.crud.DataSupport;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by ruihong on 2018/7/24.
 */

public class Zjrwst extends DataSupport implements Parcelable {

    private int state;
    private String msg;
    private List<Zjrwdata> data;

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public List<Zjrwdata> getData() {
        return data;
    }

    public void setData(List<Zjrwdata> data) {
        this.data = data;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(this.state);
        dest.writeString(this.msg);
        dest.writeList(this.data);
    }

    public Zjrwst() {
    }

    protected Zjrwst(Parcel in) {
        this.state = in.readInt();
        this.msg = in.readString();
        this.data = new ArrayList<Zjrwdata>();
        data = in.createTypedArrayList(Zjrwdata.CREATOR);
    }

    public static final Parcelable.Creator<Zjrwst> CREATOR = new Parcelable.Creator<Zjrwst>() {
        @Override
        public Zjrwst createFromParcel(Parcel source) {
            return new Zjrwst(source);
        }

        @Override
        public Zjrwst[] newArray(int size) {
            return new Zjrwst[size];
        }
    };
}
